var _excluded = ["replace", "to"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { Button } from 'antd';
import { compose, withHandlers } from 'recompose';
import { useNavigate } from 'react-router-dom';
import { withConfirmHOC, spreadButtonPropsHOC } from "./mod/hoc";
var LinkButton = compose(withConfirmHOC, withHandlers({
  onClick: function onClick(_ref) {
    var onBeforeClick = _ref.onBeforeClick,
      _onClick = _ref.onClick,
      to = _ref.to,
      selectedRowKeys = _ref.selectedRowKeys;
    return function (e) {
      onBeforeClick(to).then(function () {
        if (_onClick) _onClick(e, selectedRowKeys);
      }).catch(function (err) {
        console.log(err);
        // err?.stopPropagation();
      });
    };
  }
}), spreadButtonPropsHOC)(Button);
export default (function (props) {
  var navigate = useNavigate();
  var replace = props.replace,
    to = props.to,
    restProps = _objectWithoutProperties(props, _excluded);
  var handleClick = function handleClick(e) {
    e.preventDefault();
    navigate(to, {
      replace: replace
    });
  };
  return /*#__PURE__*/React.createElement(LinkButton, _extends({}, restProps, {
    onClick: handleClick
  }));
});